/********** Template CSS **********/
:root {
    --primary: #7AB730;
    --secondary: #FFD33C;
    --light: #F3F3F3;
    --dark: #212121;
}

[class^=flaticon-]:before,
[class*=" flaticon-"]:before,
[class^=flaticon-]:after,
[class*=" flaticon-"]:after {
    font-size: inherit;
    margin-left: 0;
}

.btn {
    font-family: 'Roboto', sans-serif;
    text-transform: uppercase;
    font-weight: 700;
    transition: .5s;
}

.btn-primary {
    color: #FFFFFF;
}

.btn-square {
    width: 36px;
    height: 36px;
}

.btn-sm-square {
    width: 28px;
    height: 28px;
}

.btn-lg-square {
    width: 46px;
    height: 46px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding-left: 0;
    padding-right: 0;
    text-align: center;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 0;
    border-radius: 0;
    z-index: 99;
}

.navbar-light .navbar-nav .nav-link {
    font-family: 'Roboto', sans-serif;
    position: relative;
    margin-left: 30px;
    padding: 30px 0;
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    color: var(--dark);
    outline: none;
    transition: .5s;
}

.sticky-top.navbar-light .navbar-nav .nav-link {
    padding: 20px 0;
}

.navbar-light .navbar-nav .nav-link:hover,
.navbar-light .navbar-nav .nav-link.active {
    color: var(--primary);
}

@media (min-width: 992px) {
    .navbar-light .navbar-nav .nav-link::before {
        position: absolute;
        content: "";
        width: 0;
        height: 7px;
        top: -4px;
        left: 50%;
        background: var(--primary);
        transition: .5s;
    }

    .navbar-light .navbar-nav .nav-link:hover::before,
    .navbar-light .navbar-nav .nav-link.active::before {
        width: 100%;
        left: 0;
    }

    .navbar-light .navbar-nav .nav-link.nav-contact::before {
        width: 100%;
        height: 1px;
        top: -1px;
        left: 0;
    }
}

@media (max-width: 991.98px) {
    .navbar-light .navbar-nav .nav-link  {
        margin-left: 0;
        padding: 10px 0;
    }
}

.hero-header {
   background: linear-gradient( rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5) ),url(../img/hero.jpg);
    background-size: cover;
}

.btn-play {
    position: relative;
    display: block;
    box-sizing: content-box;
    width: 16px;
    height: 26px;
    border-radius: 100%;
    border: none;
    outline: none !important;
    padding: 18px 20px 20px 28px;
    background: #FFFFFF;
}

.btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    animation: pulse-border 1500ms ease-out infinite;
}

.btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #FFFFFF;
    border-radius: 100%;
    transition: all 200ms;
}

.btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    left: -1px;
    border-left: 16px solid var(--primary);
    border-top: 11px solid transparent;
    border-bottom: 11px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(2);
        opacity: 0;
    }
}

#videoModal .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

#videoModal .modal-body {
    position: relative;
    padding: 0px;
}

#videoModal .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}


.service-item a i {
    position: relative;
    padding-left: 20px;
    transition: .3s;
}

.service-item a:hover i {
    padding-left: 50px;
}

.service-item a i::after {
    position: absolute;
    content: "";
    width: 20px;
    height: 2px;
    top: 50%;
    left: 10px;
    margin-top: -1px;
    background: var(--primary);
    transition: .3s;
}

.service-item a:hover i::after {
    width: 50px;
}

.product-item {
    padding: 30px;
}

.product-item .btn-action {
    position: absolute;
    width: 100%;
    bottom: -40px;
    left: 0;
    opacity: 0;
    transition: .5s;
}

.product-item:hover .btn-action {
    bottom: -20px;
    opacity: 1;
}

.product-carousel .owl-nav {
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
}

.product-carousel .owl-nav .owl-prev,
.product-carousel .owl-nav .owl-next{
    position: relative;
    margin: 0 5px;
    width: 55px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    font-size: 22px;
    transition: .5s;
}

.product-carousel .owl-nav .owl-prev:hover,
.product-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.bg-offer {
    background: url(../img/offer.jpg) top right no-repeat;
    background-size: cover;
}

.price-carousel::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 50%;
    bottom: 0;
    left: 0;
    background: var(--primary);
    border-radius: 8px 8px 50% 50%;
    z-index: -1;
}

.price-carousel .owl-nav {
    margin-top: 35px;
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
}

.price-carousel .owl-nav .owl-prev,
.price-carousel .owl-nav .owl-next{
    position: relative;
    margin: 0 5px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--primary);
    background: #FFFFFF;
    font-size: 22px;
    border-radius: 45px;
    transition: .5s;
}

.price-carousel .owl-nav .owl-prev:hover,
.price-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.team-carousel .owl-nav {
    position: absolute;
    width: 50px;
    height: 160px;
    top: calc(50% - 80px);
    right: 0;
    z-index: 1;
}

.team-carousel .owl-nav .owl-prev,
.team-carousel .owl-nav .owl-next {
    position: relative;
    width: 50px;
    height: 50px;
    margin: 15px 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    font-size: 22px;
    transition: .5s;
}

.team-carousel .owl-nav .owl-prev:hover,
.team-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.2);
}

.team-item .team-overlay {
    position: absolute;
    top: 45px;
    right: 45px;
    bottom: 45px;
    left: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(122, 183, 48, .8);
    transition: .5s;
    opacity: 0;
}

.team-item:hover .team-overlay {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 1;
}

.bg-testimonial {
    background: url(../img/testimonial.jpg) top left no-repeat;
    background-size: cover;
}

.testimonial-carousel .owl-nav {
    position: absolute;
    width: 100%;
    height: 46px;
    top: calc(50% - 23px);
    left: 0;
    display: flex;
    justify-content: space-between;
    z-index: 1;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    position: relative;
    width: 46px;
    height: 46px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    font-size: 22px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    color: var(--dark);
}

.testimonial-carousel .owl-item img {
    width: 100px;
    height: 100px;
}

@media (min-width: 576px) {
    .blog-item .row {
        height: 300px;
    }
}

.blog-item a i {
    position: relative;
    padding-left: 20px;
    transition: .3s;
}

.blog-item a:hover i {
    padding-left: 50px;
}

.blog-item a i::after {
    position: absolute;
    content: "";
    width: 20px;
    height: 2px;
    top: 50%;
    left: 10px;
    margin-top: -1px;
    background: var(--primary);
    transition: .3s;
}

.blog-item a:hover i::after {
    width: 50px;
}
/*custom*/
.f-resize{
    font-size: 32px;
}
.f-22{
    font-size: 22px !important;
}
.acc-bt{
    border-top: 1px solid rgba(0,0,0,0.125) !important;
}

.accordion-button {
   font-weight: 600;
   color: #000;
}

.accordion-item .accordion-button:not(.collapsed) {
    background-color: var(--primary); /* Active background color */
    color: #fff; /* Change text color if needed */
}
.accordion-button:not(.collapsed)::after {
   background-color: #ffffffab;
   border-radius: 5px;
}

.cc-service-item {
    position: relative;
    height: 300px;
    padding: 0 30px;
    transition: .5s;
}

.service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .08);
    transition: .5s;
}

.service-item:hover {
    background: var(--primary);
}

.service-item:hover * {
    color: var(--light) !important;
}

.service-carousel .owl-dots {
    margin-top: 24px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
}

.service-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: var(--primary);
    border: 5px solid var(--light);
    transition: .5s;
}

.service-carousel .owl-dot.active {
    background: var(--light);
    border-color: var(--primary);
}
.nav-pills .nav-link {
    background: #a3a1a128;
}



/*============*/
.portfolio #portfolio-flters {
    padding: 0;
    margin: 0 auto 25px auto;
    list-style: none;
    text-align: center;
    background: white;
    border-radius: 50px;
    padding: 2px 15px;
  }
  .portfolio #portfolio-flters li {
    cursor: pointer;
    display: inline-block;
    padding: 8px 20px 10px 20px;
    font-size: 15px;
    font-weight: 600;
    line-height: 1;
    color: #444444;
    margin: 0 4px 8px 4px;
    transition: 0.3s;
    border-radius: 50px;
    border: 1px solid #fff;
  }
  .portfolio #portfolio-flters li:hover, .portfolio #portfolio-flters li.filter-active {
    color: var(--primary);
    border-color: var(--primary);
  }
  .portfolio #portfolio-flters li:last-child {
    margin-right: 0;
  }
  .portfolio .portfolio-wrap {
    transition: 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    background: rgba(255, 255, 255, 0.75);
  }
  .portfolio .portfolio-wrap::before {
    content: "";
    background: rgba(255, 255, 255, 0.75);
    position: absolute;
    left: 30px;
    right: 30px;
    top: 30px;
    bottom: 30px;
    transition: all ease-in-out 0.3s;
    z-index: 2;
    opacity: 0;
  }
  .portfolio .portfolio-wrap img {
    transition: 1s;
  }
  .portfolio .portfolio-wrap .portfolio-info {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    z-index: 3;
    transition: all ease-in-out 0.3s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .portfolio .portfolio-wrap .portfolio-info::before {
    display: block;
    content: "";
    width: 48px;
    height: 48px;
    position: absolute;
    top: 35px;
    left: 35px;
    border-top: 3px solid rgba(1, 41, 112, 0.2);
    border-left: 3px solid rgba(1, 41, 112, 0.2);
    transition: all 0.5s ease 0s;
    z-index: 9994;
  }
  .portfolio .portfolio-wrap .portfolio-info::after {
    display: block;
    content: "";
    width: 48px;
    height: 48px;
    position: absolute;
    bottom: 35px;
    right: 35px;
    border-bottom: 3px solid rgba(1, 41, 112, 0.2);
    border-right: 3px solid rgba(1, 41, 112, 0.2);
    transition: all 0.5s ease 0s;
    z-index: 9994;
  }
  .portfolio .portfolio-wrap .portfolio-info h4 {
    font-size: 20px;
    color: #012970;
    font-weight: 700;
  }
  .portfolio .portfolio-wrap .portfolio-info p {
    color: #012970;
    font-weight: 600;
    font-size: 14px;
    text-transform: uppercase;
    padding: 0;
    margin: 0;
  }
  .portfolio .portfolio-wrap .portfolio-links {
    text-align: center;
    z-index: 4;
  }
  .portfolio .portfolio-wrap .portfolio-links a {
    color: #fff;
    background: var(--primary);
    margin: 10px 2px;
    width: 36px;
    height: 36px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transition: 0.3s;
  }
  .portfolio .portfolio-wrap .portfolio-links a i {
    font-size: 24px;
    line-height: 0;
  }
  .portfolio .portfolio-wrap .portfolio-links a:hover {
    background: #5969f3;
  }
  .portfolio .portfolio-wrap:hover img {
    transform: scale(1.1);
  }
  .portfolio .portfolio-wrap:hover::before {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 1;
  }
  .portfolio .portfolio-wrap:hover .portfolio-info {
    opacity: 1;
  }
  .portfolio .portfolio-wrap:hover .portfolio-info::before {
    top: 15px;
    left: 15px;
  }
  .portfolio .portfolio-wrap:hover .portfolio-info::after {
    bottom: 15px;
    right: 15px;
  }
  
  /*--------------------------------------------------------------
  # Portfolio Details
  --------------------------------------------------------------*/
  .portfolio-details {
    padding-top: 40px;
  }
  .portfolio-details .portfolio-details-slider img {
    width: 100%;
  }
  .portfolio-details .portfolio-details-slider .swiper-pagination {
    margin-top: 20px;
    position: relative;
  }
  .portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    background-color: #fff;
    opacity: 1;
    border: 1px solid var(--primary);
  }
  .portfolio-details .portfolio-details-slider .swiper-pagination .swiper-pagination-bullet-active {
    background-color: var(--primary);
  }
  .portfolio-details .portfolio-info {
    padding: 30px;
    box-shadow: 0px 0 30px rgba(1, 41, 112, 0.08);
  }
  .portfolio-details .portfolio-info h3 {
    font-size: 22px;
    font-weight: 700;
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #eee;
  }
  .portfolio-details .portfolio-info ul {
    list-style: none;
    padding: 0;
    font-size: 15px;
  }
  .portfolio-details .portfolio-info ul li + li {
    margin-top: 10px;
  }
  .portfolio-details .portfolio-description {
    padding-top: 30px;
  }
  .portfolio-details .portfolio-description h2 {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
  }
  .portfolio-details .portfolio-description p {
    padding: 0;
  }  


/* common header background */

.commonheadimg
{
    background: linear-gradient( rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5) ),url(../img/class-2.jpg);
    height: 55vh;
    background-repeat: no-repeat;
    background-size: cover;
}
.commonheadimg .headimg h1
{
    color: white;
    text-align: center;
    padding-top: 100px;
}


  /*2- portfolio*/


  .portfolio .filtering {
	border-radius: 28px;
	margin: 0 auto;
	border: 1px dotted #e1e1e1;
}
.portfolio .filtering button {
	position: relative;
	top: -1px;
	font-size: 14px;
	font-weight: 400;
	padding: 10px 30px;
	letter-spacing: 2px;
	color: #777;
	cursor: pointer;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
	background: none;
	border: 0;
}
.portfolio .filtering .active {
	background-color: var(--primary);
	color: #fff;
	border-radius: 28px;
	-webkit-box-shadow: 0px 10px 30px -4px rgba(0, 0, 0, 0.2);
	box-shadow: 0px 10px 30px -4px rgba(0, 0, 0, 0.2);
}
.portfolio .gallery {
	padding: 0;
	overflow: hidden;
	overflow: hidden !important;
	position: relative;
}
.portfolio .gallery .item-img {
	position: relative;
	overflow: hidden;
}
.portfolio .gallery .item-img a {
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: 1;
}
.portfolio .gallery .item-img .part-img {
	position: relative;
}
.portfolio .gallery .item-img .part-img img {
	width: 100%;
	-webkit-transition: all 0.3s ease-in-out;
	transition: all 0.3s ease-in-out;
}
.portfolio .gallery .item-img .part-img .overlay-img {
	position: absolute;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
}
.portfolio .gallery .item-img .part-img .overlay-img:after {
	content: '';
	position: absolute;
	left: -100%;
	top: 0;
	width: 100%;
	height: 50%;
	background: rgba(0, 0, 0, 0.8);
	-webkit-transition: all 150ms ease-in-out 200ms;
	transition: all 150ms ease-in-out 200ms;
}
.portfolio .gallery .item-img .part-img .overlay-img:before {
	content: '';
	position: absolute;
	right: -100%;
	bottom: 0;
	width: 100%;
	height: 50%;
	background: rgba(0, 0, 0, 0.8);
	-webkit-transition: all 150ms ease-in-out 200ms;
	transition: all 150ms ease-in-out 200ms;
}
.portfolio .gallery .item-img .part-img .overlay-img a {
	width: 100%;
	height: 100%;
}
.portfolio .gallery .item-img .part-img .overlay-img h4 {
	color: transparent;
	overflow: hidden;
	position: absolute;
	top: 54px;
	right: 25px;
	z-index: 2;
	font-size: 18px;
	-webkit-transition: color 150ms ease-in-out 200ms;
	transition: color 150ms ease-in-out 200ms;
	text-align: center;
	padding: 0 10px;
}
.portfolio .gallery .item-img .part-img .overlay-img h4:before {
	content: '';
	background: #fff;
	bottom: 0;
	position: absolute;
	right: 100%;
	top: 0;
	width: 100%;
	-webkit-transition: right 600ms ease-in-out 0s;
	transition: right 600ms ease-in-out 0s;
}
.portfolio .gallery .item-img .part-img .overlay-img h6 {
	color: transparent;
	overflow: hidden;
	position: absolute;
	top: 30px;
	right: 25px;
	z-index: 2;
	font-size: 18px;
	-webkit-transition: color 150ms ease-in-out 200ms;
	transition: color 150ms ease-in-out 200ms;
	text-align: center;
	padding: 0 10px;
}
.portfolio .gallery .item-img .part-img .overlay-img h6::before {
	content: '';
	background: #fff;
	bottom: 0;
	right: auto;
	position: absolute;
	left: 100%;
	top: 0;
	width: 100%;
	-webkit-transition: left 600ms ease-in-out 0s;
	transition: left 600ms ease-in-out 0s;
}
.portfolio .gallery .item-img:hover img {
	-webkit-transform: scale(1.04);
	transform: scale(1.04);
}
.portfolio .gallery .item-img:hover .overlay-img:after {
	left: 0;
	-webkit-transition: all .8s;
	transition: all .8s;
	opacity: 1;
}
.portfolio .gallery .item-img:hover .overlay-img:before {
	right: 0;
	width: 100%;
	height: 50%;
	-webkit-transition: all .8s;
	transition: all .8s;
	opacity: 1;
}
.portfolio .gallery .item-img:hover .overlay-img h4 {
	color: white;
}
.portfolio .gallery .item-img:hover .overlay-img h4:before {
	right: -100%;
}
.portfolio .gallery .item-img:hover .overlay-img h6 {
	color: white;
}
.portfolio .gallery .item-img:hover .overlay-img h6:before {
	left: -100%;
}
.portfolio-style2 .filtering {
	border: 1px solid #e1e1e1;
}
.portfolio-style2 .filtering .active {
	background-color: #1c1c1c;
}



/*----------------------*/
@media screen and (min-width: 250px) and (max-width: 680px) {
   .carousel-item{
    height: 80vh;
   }
   .carousel-item img{
    height: 80vh;
   }
   .cc-vh{
    height: 50vh;
   }
   .media-set{
    margin-top: 25px;
   }
}